# -*- rpm-spec -*-
# $Id: diet-bzlib.spec,v 1.1.2.5 2005/07/07 19:18:04 mouse Exp $

%define snapshot 20050707
%define diethome %_prefix/lib/dietlibc

Name: diet-bzlib
Version: 20050707
Release: alt1

Summary: A bzlib compression library
License: BSD
Group: Development/C
Url: http://sources.redhat.com/bzip2/

Source0: %name-%snapshot.tar.bz2

BuildRequires: dietlibc

%description
The bzip2 compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  The bzip2 library is used by many different system programs.

This package was built against dietlibc.

%prep
%setup -qc

%build
%__make

%install
for s in obj-*; do
    d=`echo $s | sed 's,obj-,lib-,'`
    %__mkdir_p %buildroot%diethome/$d
    %__install -p -m644 $s/libbz2.a %buildroot%diethome/$d/
done
%__mkdir_p %buildroot%diethome/include
%__install -p -m0644 bzlib.h %buildroot%diethome/include

%files
%diethome/lib-*/libbz2.a
%diethome/include/bzlib.h

%changelog
* Thu Jul 07 2005 Anton D. Kachalov <mouse@altlinux.org> 20050707-alt1
- multilib support

* Tue Dec  7 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 20041025-alt0.2
- missing header file added

* Mon Oct 25 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 20041025-alt0.1
- packaged for %distribution
